From a1ccdf7604fec2df4d98dcb1eeb88d0932e842d0 Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:14:57 +0000
Subject: [PATCH 1/3] Convert kinoite.json to fedora-kinoite.yaml


---

diff --git a/fedora-kinoite.yaml b/fedora-kinoite.yaml
new file mode 100644
index 0000000..1539ba8
--- /dev/null
+++ b/fedora-kinoite.yaml
@@ -0,0 +1,15 @@
+include: kde-desktop-pkgs.json
+ref: fedora/rawhide/${basearch}/kinoite
+rojig:
+  name: fedora-kde
+  summary: "Fedora Kinoite (KDE) base image"
+  license: MIT
+packages:
+  - kwayland-integration
+  - kwin-wayland
+  - plasma-workspace-wayland
+  - xdg-desktop-portal-kde
+  - xorg-x11-server-Xwayland
+
+repos:
+  - fedora-rawhide
diff --git a/kinoite.json b/kinoite.json
deleted file mode 100644
index 3cafcc1..0000000
--- a/kinoite.json
+++ /dev/null
@@ -1,14 +0,0 @@
-{
-    "ref": "fedora/rawhide/${basearch}/kinoite",
-    "repos": ["fedora-rawhide"],
-
-    "include": "kde-desktop-pkgs.json",
-
-    "packages": [
-        "kwayland-integration",
-        "kwin-wayland",
-        "plasma-workspace-wayland",
-        "xdg-desktop-portal-kde",
-        "xorg-x11-server-Xwayland"
-    ]
-}

From 6ee56832efe7c4d9fe0fe7e62cad74bed9e988c1 Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:14:57 +0000
Subject: [PATCH 2/3] Convert fedora-xfce.json to fedora-xfce.yaml


---

diff --git a/fedora-xfce.json b/fedora-xfce.json
deleted file mode 100644
index 34395b6..0000000
--- a/fedora-xfce.json
+++ /dev/null
@@ -1,10 +0,0 @@
-{
-    "ref": "fedora/rawhide/${basearch}/xfce",
-    "repos": ["fedora-rawhide"],
-
-    "include": "xfce-desktop-pkgs.json",
-
-    "packages": [
-        "xdg-desktop-portal-gtk"
-    ]
-}
diff --git a/fedora-xfce.yaml b/fedora-xfce.yaml
new file mode 100644
index 0000000..07c8e6a
--- /dev/null
+++ b/fedora-xfce.yaml
@@ -0,0 +1,10 @@
+include: xfce-desktop-pkgs.json
+ref: fedora/rawhide/${basearch}/xfce
+rojig:
+  name: fedora-xfce
+  summary: "Fedora XFCE base image"
+  license: MIT
+packages:
+    - xdg-desktop-portal-gtk
+repos:
+  - fedora-rawhide

From 55ae6ad005601b6f0f5103ea82514bded9a5b267 Mon Sep 17 00:00:00 2001
From: Timothée Ravier <tim@siosm.fr>
Date: Mar 21 2019 08:14:57 +0000
Subject: [PATCH 3/3] Add LXQt variant


---

diff --git a/comps-sync-blacklist.yml b/comps-sync-blacklist.yml
index 102bcf7..1f37173 100644
--- a/comps-sync-blacklist.yml
+++ b/comps-sync-blacklist.yml
@@ -220,3 +220,11 @@ desktop_blacklist:
     - vim-enhanced
     # ?
     - rodent-icon-theme
+  lxqt-desktop:
+    # Incompatible with ostree for various reasons
+    - dnfdragora-updater
+    # Non-critical apps -> Flatpak
+    - ark
+    - falkon
+    - falkon-kwallet
+    - pcmanfm-qt
diff --git a/comps-sync.py b/comps-sync.py
index 4d393e2..602e153 100755
--- a/comps-sync.py
+++ b/comps-sync.py
@@ -122,7 +122,7 @@ if (n_manifest_new > 0 or n_comps_new > 0) and args.save:
 
 
 # Generate treefiles for all desktops
-for desktop in [ 'gnome-desktop', 'kde-desktop', 'xfce-desktop' ]:
+for desktop in [ 'gnome-desktop', 'kde-desktop', 'xfce-desktop', 'lxqt-desktop' ]:
     print()
     print("Syncing packages for {} specific version:".format(desktop))
 
diff --git a/fedora-lxqt.yaml b/fedora-lxqt.yaml
new file mode 100644
index 0000000..1921714
--- /dev/null
+++ b/fedora-lxqt.yaml
@@ -0,0 +1,12 @@
+include: lxqt-desktop-pkgs.json
+ref: fedora/rawhide/${basearch}/lxqt
+rojig:
+  name: fedora-lxqt
+  summary: "Fedora LXQT base image"
+  license: MIT
+packages:
+  - libqtxdg
+  - xdg-desktop-portal-kde
+
+repos:
+  - fedora-rawhide
diff --git a/lxqt-desktop-pkgs.json b/lxqt-desktop-pkgs.json
new file mode 100644
index 0000000..a111b42
--- /dev/null
+++ b/lxqt-desktop-pkgs.json
@@ -0,0 +1,36 @@
+{
+    "00packages-comment": "DO NOT EDIT! This content is generated from comps-sync.py",
+    "include": "fedora-common-ostree.json",
+    "packages": [
+        "breeze-cursor-theme",
+        "breeze-gtk",
+        "breeze-icon-theme",
+        "fedora-icon-theme",
+        "firewall-config",
+        "initial-setup-gui",
+        "lxqt-about",
+        "lxqt-config",
+        "lxqt-globalkeys",
+        "lxqt-notificationd",
+        "lxqt-openssh-askpass",
+        "lxqt-panel",
+        "lxqt-policykit",
+        "lxqt-powermanagement",
+        "lxqt-qtplugin",
+        "lxqt-runner",
+        "lxqt-session",
+        "lxqt-themes",
+        "lxqt-themes-fedora",
+        "network-manager-applet",
+        "nm-connection-editor",
+        "notification-daemon",
+        "obconf",
+        "openbox",
+        "perl-File-MimeInfo",
+        "qterminal",
+        "sddm",
+        "sddm-themes",
+        "upower",
+        "xdg-user-dirs"
+    ]
+}

